> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dependent Agents List

> Get a list of agents depending on this knowledge base document



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/voiceai/knowledge-base/{document_id}/dependent-agents
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voiceai/knowledge-base/{document_id}/dependent-agents:
    get:
      tags:
        - Knowledge Base
      summary: Get Dependent Agents List
      description: Get a list of agents depending on this knowledge base document
      operationId: get_knowledge_base_dependent_agents
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
        - name: dependent_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/KnowledgeBaseDependentType'
            description: Type of dependent agents to return.
            default: all
          description: Type of dependent agents to return.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: >-
              How many documents to return at maximum. Can not exceed 100,
              defaults to 30.
            default: 30
            title: Page Size
          description: >-
            How many documents to return at maximum. Can not exceed 100,
            defaults to 30.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Used for fetching next page. Cursor is returned in the response.
            title: Cursor
          description: Used for fetching next page. Cursor is returned in the response.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetKnowledgeBaseDependentAgentsResponseModel
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    KnowledgeBaseDependentType:
      type: string
      enum:
        - direct
        - transitive
        - all
      title: KnowledgeBaseDependentType
      description: Type of dependent agents to return
    GetKnowledgeBaseDependentAgentsResponseModel:
      properties:
        agents:
          items:
            oneOf:
              - $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
              - $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
            discriminator:
              propertyName: type
              mapping:
                available:
                  $ref: '#/components/schemas/DependentAvailableAgentIdentifier'
                unknown:
                  $ref: '#/components/schemas/DependentUnknownAgentIdentifier'
          type: array
          title: Agents
          description: List of dependent agents
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more agents to fetch
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for fetching the next page
      type: object
      required:
        - agents
        - has_more
      title: GetKnowledgeBaseDependentAgentsResponseModel
      description: >-
        Paginated dependent agents for a document.

        This is the proper endpoint to get dependent agents (list response does
        NOT include them).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DependentAvailableAgentIdentifier:
      properties:
        id:
          type: string
          title: Id
          description: The agent ID
        name:
          type: string
          title: Name
          description: The agent name
        type:
          type: string
          const: available
          title: Type
          description: 'Discriminator: ''available'' means user can see this agent'
          default: available
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
          description: Agent creation time in unix seconds
        access_level:
          $ref: '#/components/schemas/DependentAgentAccessLevel'
          description: User's access level to this agent
        referenced_resource_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Referenced Resource Ids
          description: >-
            If transitive dependent, IDs of resources the agent depends on
            directly
      type: object
      required:
        - id
        - name
        - created_at_unix_secs
        - access_level
      title: DependentAvailableAgentIdentifier
      description: >-
        Agent that depends on a resource (KB doc, tool, etc.) - user has access
        to view it.

        Enterprise-compatible discriminated union member.
    DependentUnknownAgentIdentifier:
      properties:
        type:
          type: string
          const: unknown
          title: Type
          description: 'Discriminator: ''unknown'' means user cannot see this agent'
          default: unknown
        referenced_resource_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Referenced Resource Ids
          description: >-
            If transitive dependent, IDs of resources the agent depends on
            directly
      type: object
      title: DependentUnknownAgentIdentifier
      description: >-
        Agent that depends on a resource but user has no direct access to view
        it.

        Enterprise-compatible discriminated union member.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DependentAgentAccessLevel:
      type: string
      enum:
        - admin
        - editor
        - commenter
        - viewer
      title: DependentAgentAccessLevel
      description: Access level for a dependent agent
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````